Bug 1268585 - Mac keyboard type misdetected, causing backtick/tilde key to produce angle brackets [NEEDINFO]
Mac keyboard type misdetected, causing backtick/tilde key to produce angle br...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-03 03:38 EDT by Brion Vibber
Modified: 2017-04-28 13:04 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-28 13:04:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Brion Vibber 2015-10-03 03:38:38 EDT
Description of problem:

On my MacBook Pro (13" Retina early 2015) the backtick/tilde key produces angle brackets ("<" and ">") instead of the expected backtick/tilde.

As described here there is a workaround:
* https://stdio.sangwhan.com/backtick-tilde-problem-macbook-air/
* https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1245081

Can temporarily resolve for a single boot with:

sudo bash -c 'echo 0 > /sys/module/hid_apple/parameters/iso_layout'


Version-Release number of selected component (if applicable):

Linux orac 4.2.2-300.fc23.x86_64 #1 SMP Wed Sep 30 01:36:26 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:

Always.


Steps to Reproduce:
1. Install Fedora 23 beta on MacBook Pro
2. Open terminal
3. try to type "`"

Actual results:

"<"

Expected results:

"`"
Comment 1 Laura Abbott 2016-09-23 15:40:44 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 2 Laura Abbott 2016-10-26 12:52:26 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 3 Brion Vibber 2017-02-20 17:48:49 EST
Still current problem Fedora 25, kernel 4.9.9-200.fc25.x86_64
Comment 4 Justin M. Forbes 2017-04-11 10:47:23 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 5 Justin M. Forbes 2017-04-28 13:04:26 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.